#include <stdio.h>
#include <stdlib.h>

int main(int argc,char **argv)
{
    float eqlat, eqlon, stlat, stlon, bplat, bplon;

    if(argc != 5) {
        fprintf(stderr,"Usage: get_mploc eqlat eqlon stlat stlon\n");
        exit(-1);
    }
    eqlat = (double) atof(argv[1]);
    eqlon = (double) atof(argv[2]);
    stlat = (double) atof(argv[3]);
    stlon = (double) atof(argv[4]);

    midpoint(eqlat, eqlon, stlat, stlon, &bplat, &bplon);

    fprintf(stdout,"%.2f %.2f\n", bplat, bplon);
}
